## multitail 3.2.1

=== Makefile ===
VERSION=3.2.1

DEBUG=#-g -D_DEBUG #-pg #-fprofile-arcs
# Mac OS X/IRIX/SCO/Solaris users: use the following line
#LDFLAGS=-lcurses
# all others use:
LDFLAGS=-lncurses -lutil -lm $(DEBUG)
CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)

OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o

all: multitail

multitail: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail

install: multitail
	cp multitail $(DESTDIR)/usr/bin
	cp multitail.1 $(DESTDIR)/usr/share/man/man1/multitail.1
	cp multitail.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	cp *.txt INSTALL manual*.html $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	cp multitail.conf $(DESTDIR)/etc
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	gzip -9 $(DESTDIR)/usr/share/man/man1/multitail.1
	#
	# +-=-------------------------------------------------------------=-+
	# | There's a mailinglist!                                          |
	# | Send an e-mail to minimalist@vanheusden.com with in the subject |
	# | 'subscribe multitail' to subscribe.                             |
	# +-=-------------------------------------------------------------=-+
	#
	# you might want to run 'make thanks' now :-)

uninstall: clean
	rm -f $(DESTDIR)/usr/bin/multitail
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	rm -f $(DESTDIR)/etc/multitail.conf
	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)

clean:
	rm -f $(OBJS) multitail core gmon.out *.da

package: clean
	# source package
	rm -rf multitail-$(VERSION)*
	mkdir multitail-$(VERSION)
	cp *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt multitail-$(VERSION)
	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
	rm -rf multitail-$(VERSION)

thanks:
	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail" folkert@vanheusden.com
