## multitail 3.4.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-VERSION=3.2.1
+VERSION=3.4.3
 
-DEBUG=#-g -D_DEBUG #-pg #-fprofile-arcs
+DEBUG=#-g -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
 # Mac OS X/IRIX/SCO/Solaris users: use the following line
 #LDFLAGS=-lcurses
 # all others use:
 LDFLAGS=-lncurses -lutil -lm $(DEBUG)
 CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o
+OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o
 
 all: multitail
 
@@ -50,4 +50,4 @@
 	rm -rf multitail-$(VERSION)
 
 thanks:
-	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail" folkert@vanheusden.com
+	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
