## multitail 3.4.8

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION=3.4.3
+VERSION=3.4.8
 
-DEBUG=#-g -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
+DEBUG=-g # -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
 # Mac OS X/IRIX/SCO/Solaris users: use the following line
 #LDFLAGS=-lcurses
 # all others use:
 LDFLAGS=-lncurses -lutil -lm $(DEBUG)
-CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+CFLAGS+=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o
 
@@ -51,3 +51,7 @@
 
 thanks:
 	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
+	echo Is your company using MultiTail and you would like to be
+	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
+	echo Then please send me a logo (not too big) and a link and I'll
+	echo add it to that page.
