## multitail 4.2.0

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
-LDFLAGS=-lpanel -lncurses -lutil -lm $(DEBUG)
+DEBUG=-g #-pg #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
+LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG)
 CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o
@@ -13,6 +13,9 @@
 
 multitail: $(OBJS)
 	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail
+
+multitail_ccmalloc: $(OBJS)
+	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
 
 install: multitail
 	cp multitail $(DESTDIR)/usr/bin
@@ -44,7 +47,7 @@
 	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
 
 clean:
-	rm -f $(OBJS) multitail core gmon.out *.da
+	rm -f $(OBJS) multitail core gmon.out *.da ccmultitail
 
 package: clean
 	# source package
@@ -58,7 +61,7 @@
 	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
 	echo Is your company using MultiTail and you would like to be
 	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
-	echo Then please send me a logo -not too big- and a link and I'll
+	echo Then please send me a logo -not too big- and a link and I will
 	echo add it to that page.
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
