## multitail 5.0.5

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g #-pg #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
+DEBUG=-g #-D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
 LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG)
+# LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
 CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o
+OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o
 
 all: multitail
 
@@ -27,6 +28,8 @@
 	### YOURSELF WITH THE NEW FILE
 	#
 	cp multitail.conf $(DESTDIR)/etc/multitail.conf.new
+	mkdir -p $(DESTDIR)/etc/multitail/
+	cp convert-* colors-* $(DESTDIR)/etc/multitail/
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
 	gzip -9 $(DESTDIR)/usr/share/man/man1/multitail.1
 	#
@@ -53,7 +56,7 @@
 	# source package
 	rm -rf multitail-$(VERSION)*
 	mkdir multitail-$(VERSION)
-	cp *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
+	cp conversion-scripts/* *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
 	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
 	rm -rf multitail-$(VERSION)
