## multitail 5.2.9

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
 	### YOURSELF WITH THE NEW FILE
 	#
-	cp multitail.conf $(DESTDIR)/etc/multitail.conf.new
+	cp multitail.conf $(CONFIG_FILE).new
 	mkdir -p $(DESTDIR)/etc/multitail/
 	cp convert-* colors-* $(DESTDIR)/etc/multitail/
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
@@ -46,7 +46,7 @@
 uninstall: clean
 	rm -f $(DESTDIR)/usr/bin/multitail
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
-	rm -f $(DESTDIR)/etc/multitail.conf
+	rm -f $(CONFIG_FILE)
 	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
 
 clean:
