## multitail 5.2.13

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+CC=gcc
+DEBUG=-g -D_FORTIFY_SOURCE=2 # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
 LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG) -rdynamic
 # LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
 CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
@@ -68,3 +69,17 @@
 	echo add it to that page.
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
+
+check:
+	cppcheck -v --force -j 3 --enable=all --inconclusive -I. . 2> err.txt
+	#
+	make clean
+	scan-build make
+
+coverity:
+	make clean
+	rm -rf cov-int
+	CC=gcc cov-build --dir cov-int make all
+	tar vczf ~/site/coverity/multitail.tgz README cov-int/
+	putsite -q
+	/home/folkert/.coverity-mt.sh
