=== debian/changelog ===
multitail (6.4.2-3build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:03 +0000

multitail (6.4.2-3build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:17:01 +0000

multitail (6.4.2-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 27 May 2017 10:40:02 +0200

multitail (6.4.2-2) experimental; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross compilers (closes: #853883),
    patch by Helmut Grohne
  * move from dpatch to 3.0 (quilt) (closes: #668643)

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Feb 2017 21:38:20 +0100

multitail (6.4.2-1) unstable; urgency=medium

  * New upstream release
    - supports squid3 (closes: #789182)

  * debian/patches/03_manpage_lowercase.dpatch: lowercase MultiTail in
    SYNOPSIS (closes: #703518)
  * include /usr/share/dpkg/buildflags.mk (closes: #763687) and add
    debian/patches/04_remove_custom_CFLAGS.diff to remove hardcoded -g,
    -D_FORTIFY_SOURCE=2 and -O3 and to take dpkgs buildflags instead
  * bump debian/compat to 9; dh_clean -k -> dh_prep

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Sep 2015 09:29:46 +0200

multitail (6.2.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Feb 2014 20:10:58 +0100

multitail (6.0-1) unstable; urgency=low

  * New upstream release
    - fixes "weird display" of lines containing hard tabs
      (closes: #728040)

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 21:22:24 +0100

multitail (5.2.13-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Jul 2013 23:57:52 +0200

multitail (5.2.12-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Apr 2013 23:31:07 +0200

multitail (5.2.12-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Apr 2013 23:23:51 +0200

multitail (5.2.9-1) unstable; urgency=low

  * New upstream release
    - fixes segfault when searching for printf escape codes
      (closes: #653147)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2012 23:02:24 +0100

multitail (5.2.8-1) unstable; urgency=low

  * New upstream release
    - doesn't segfault anymore when trying to scroll back a truncated file
      (closes: #621689)

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Apr 2011 18:14:49 +0000

multitail (5.2.7-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Feb 2011 23:40:21 +0000

multitail (5.2.7-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 20 Jan 2011 21:15:39 +0100

multitail (5.2.6-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Jan 2011 13:39:15 +0100

multitail (5.2.2-2) unstable; urgency=low

  * add patch from Thomas Adam to not assert on a nonexisting file
    (closes: #558381) 

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Dec 2009 22:49:46 +0100

multitail (5.2.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 20 May 2008 00:03:20 +0200

multitail (5.2.1-2) unstable; urgency=low

  * rebuild with current debhelper (closes: #474958)

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Apr 2008 12:38:47 +0200

multitail (5.2.1-1) unstable; urgency=low

  * New upstream release
  * Suggests: libgeo-ip-perl (closes: #469725)
  * move /etc/multitail/*.sh and /etc/multitail/*.pl to examples
    (closes: #469721)

 -- Rene Engelhard <rene@debian.org>  Tue, 01 Apr 2008 16:06:58 +0200

multitail (5.2.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Jul 2007 18:07:43 +0200

multitail (5.0.5-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2007 21:03:31 +0200

multitail (5.0.4-1) unstable; urgency=high

  * New upstream release
    - fixes windoow problems on ppc (closes: #426791)

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jun 2007 14:47:48 +0200

multitail (5.0.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 02 May 2007 08:33:49 +0200

multitail (5.0.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Apr 2007 19:17:49 +0200

multitail (5.0.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun,  8 Apr 2007 14:52:15 +0200

multitail (4.3.6-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Mar 2007 17:25:25 +0200

multitail (4.3.5-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Mar 2007 17:27:02 +0200

multitail (4.3.4-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Mar 2007 14:32:23 +0100

multitail (4.3.1-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Feb 2007 15:03:39 +0100

multitail (4.3.0-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Feb 2007 11:18:28 +0100

multitail (4.2.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Sep 2006 23:05:12 +0200

multitail (4.0.6-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Jun 2006 23:00:56 +0200

multitail (4.0.5-2) unstable; urgency=low

  * fix FTBFS on GNU/kFreeBSD, thanks Petr Salinger for the patch
    (closes: #372304) 

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Jun 2006 11:44:55 +0200

multitail (4.0.5-1) unstable; urgency=low


