=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

CFLAGS+= -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	dh_auto_build -- DEBUG="$(CFLAGS)"
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
	rm -rf $(CURDIR)/debian/multitail/etc/multitail
	
	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/license.txt \
	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL

#	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^subwindow_number/\#subwindow_number/' debian/multitail/etc/multitail.conf

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples conversion-scripts/colors-example.*
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
