## multitail 6.5.0

=== Makefile ===
--- 
+++ 
@@ -1,29 +1,49 @@
 include version
 
-UTF8_SUPPORT=yes
+PLATFORM:=$(shell uname)
+CPPFLAGS:=$(shell pkg-config --cflags ncurses)
+NCURSES_LIB:=$(shell pkg-config --libs ncurses)
+DEBUG:=#XXX -g -D_DEBUG ###-pg -Wpedantic ## -pg #-fprofile-arcs
+# pkg-config --libs --cflags ncurses
+# -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -lncurses -ltinfo
+
+UTF8_SUPPORT:=yes
 DESTDIR=
-PREFIX=/usr
-CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
+PREFIX=/usr/local
+CONFIG_FILE=$(DESTDIR)$(PREFIX)/etc/multitail.conf
 
 CC?=gcc
-DEBUG+=-g -Wall # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+CFLAGS+=-Wall -Wno-unused-parameter -funsigned-char -O3
+CPPFLAGS+=-D$(PLATFORM) -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2
+
+# build dependency files while compile (*.d)
+CPPFLAGS+= -MMD -MP
+
+
+ifeq ($(PLATFORM),Darwin)
+    LDFLAGS+=-lpanel $(NCURSES_LIB) -lutil -lm
+else
 ifeq ($(UTF8_SUPPORT),yes)
-LDFLAGS+=-lpanelw -lncursesw -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT -D_FORTIFY_SOURCE=2 -O3
+    LDFLAGS+=-lpanelw -lncursesw -lutil -lm
+    CPPFLAGS+=-DUTF8_SUPPORT
 else
-LDFLAGS+=-lpanel -lncurses -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2 -O3
+    LDFLAGS+=-lpanel -lncurses -lutil -lm
+endif
 endif
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o xclip.o
 
+OBJS:=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o clipboard.o
+DEPENDS:= $(OBJS:%.o=%.d)
+
+
+.PHONY: all check install uninstall coverity clean distclean package thanks
 all: multitail
 
 multitail: $(OBJS)
 	$(CC) $(OBJS) $(LDFLAGS) -o multitail
 
-multitail_ccmalloc: $(OBJS)
-	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
+ccmultitail: $(OBJS)
+	ccmalloc --no-wrapper -Wextra $(CC) $(OBJS) $(LDFLAGS) -o ccmultitail
 
 install: multitail
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
@@ -36,9 +56,9 @@
 	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
 	### YOURSELF WITH THE NEW FILE
 	#
-	mkdir -p $(DESTDIR)/etc/multitail/
+	mkdir -p $(DESTDIR)$(PREFIX)/etc/multitail/
 	cp multitail.conf $(CONFIG_FILE).new
-	cp conversion-scripts/* $(DESTDIR)/etc/multitail/
+	cp conversion-scripts/* $(DESTDIR)$(PREFIX)/etc/multitail/
 #rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
 #gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
 	#
@@ -78,11 +98,14 @@
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
+### cppcheck: unusedFunction check can't be used with '-j' option. Disabling unusedFunction check.
 check:
-	cppcheck -v --force -j 3 --enable=all --inconclusive -I. . 2> err.txt
-	#
+	#XXX TBD to use cppechk --check-config $(CPPFLAGS) -I/usr/include
+	cppcheck --std=c99 --verbose --force --enable=all --inconclusive --template=gcc \
+		'--suppress=variableScope' --xml --xml-version=2 . 2> cppcheck.xml
+	cppcheck-htmlreport --file=cppcheck.xml --report-dir=cppcheck
 	make clean
-	scan-build make
+	-scan-build make
 
 coverity:
 	make clean
@@ -91,3 +114,12 @@
 	tar vczf ~/site/coverity/multitail.tgz README cov-int/
 	putsite -q
 	/home/folkert/.coverity-mt.sh
+
+distclean: clean
+	rm -rf cov-int cppcheck cppcheck.xml *.d *~ tags
+
+# include dependency files for any other rule:
+ifneq ($(filter-out clean distclean,$(MAKECMDGOALS)),)
+-include $(DEPENDS)
+endif
+
