=== debian/changelog ===
multitail (6.5.0-3) unstable; urgency=medium

  * don't install stuff into /usr/etc and move stuff installed there
    into /usr/share/doc/multitail/examples (closes: #988710) 

 -- Rene Engelhard <rene@debian.org>  Thu, 20 May 2021 17:24:34 +0200

multitail (6.5.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Sep 2020 11:00:13 +0200

multitail (6.5.0-1) experimental; urgency=medium

  * New upstream release (closes: #959502)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 Jun 2020 23:15:06 +0200
