=== debian/control ===
Source: multitail
Section: utils
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev
Standards-Version: 3.7.2

Package: multitail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: view multiple logfiles windowed on console
 multitail lets you view one or multiple files like the original tail
 program.
 .
 The difference is that this program creates multiple windows on
 your console (with ncurses). It can also use colors while displaying the
 logfiles for faster recognizing which lines are important and which are
 not.
 .
 It is optimized for terminal-sessions through slow links.
