=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
-	dh_auto_build -- DEBUG="$(CFLAGS)"
+	dh_auto_build -- DEBUG="$(CFLAGS)" PREFIX=/usr
 	
 	touch build-stamp
 
@@ -30,7 +30,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	-$(MAKE) clean
+	-$(MAKE) distclean
 
 	dh_clean
 
@@ -45,6 +45,11 @@
 	
 	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/license.txt \
 	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL
+
+	mkdir -p $(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
+	mv $(CURDIR)/debian/multitail/usr/etc/multitail/* \
+		$(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
+	rm -rf $(CURDIR)/debian/multitail/usr/etc
 
 #	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
 #	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf
