=== debian/watch ===
version=2
http://www.vanheusden.com/multitail/download.html multitail-([\d.]+).tgz debian uupdate
