## multitail 7.1.2

=== debian/changelog ===
multitail (7.1.2-1) experimental; urgency=medium

  * New upstream release 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2024 20:06:52 +0100

multitail (6.5.0-6) unstable; urgency=medium

  * add build-dep on pkg-config (closes: #1066473)

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2024 18:23:25 +0000

multitail (6.5.0-5) unstable; urgency=medium

  * rewrite debian/rules using dh sequencer (closes: #999073) 

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Dec 2021 17:03:01 +0000

multitail (6.5.0-4) unstable; urgency=medium

  * add some needed format strings (closes: #997165) 

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Oct 2021 16:55:25 +0000
