=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- DEBUG="$(CFLAGS)" PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
	mv $(CURDIR)/debian/multitail/usr/local/* \
		$(CURDIR)/debian/multitail/usr
	rmdir $(CURDIR)/debian/multitail/usr/local
	rm -rf $(CURDIR)/debian/multitail/etc/multitail

	cd $(CURDIR)/debian/multitail/usr/share/doc/ && \
		mv multitail-VERSION=* multitail
	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/LICENSE \
	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL

	mkdir -p $(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
	mv $(CURDIR)/debian/multitail/usr/etc/multitail/* \
		$(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
	rm -rf $(CURDIR)/debian/multitail/usr/etc

	install -m644 multitail.conf \
		$(CURDIR)/debian/multitail/etc

#	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^subwindow_number/\#subwindow_number/' debian/multitail/etc/multitail.conf

# no need to run just cppcheck...
override_dh_auto_test:
