=== debian/changelog ===
multitail (7.1.5-2) unstable; urgency=medium

  * build with VERBOSE=1 
  * revert cross.patch, we actually don't use the Makefile
  * remove all Makefile-patching files, we actually use cmake/ninja anyway;
    remove explicit --buildsystem=makefile which didn't have any effect

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Feb 2025 22:37:36 +0100

multitail (7.1.5-1) experimental; urgency=medium

  * New upstream release.

  * debian/patches/cross.patch: add patch from Helmut Grohne to fix
    FTCBFS (closes: #1093593) 

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Feb 2025 20:58:14 +0100
