=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev
+Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev, pkg-config, cmake, ninja-build
 Standards-Version: 3.7.2
 
 Package: multitail
