=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,24 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	export VERBOSE=1; \
 	dh_auto_build --buildsystem=makefile -- DEBUG="$(CFLAGS)" PREFIX=/usr
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail PREFIX=/usr
+	# FIXME
 	mv $(CURDIR)/debian/multitail/usr/local/* \
 		$(CURDIR)/debian/multitail/usr
 	rmdir $(CURDIR)/debian/multitail/usr/local
 	rm -rf $(CURDIR)/debian/multitail/etc/multitail
 
 	cd $(CURDIR)/debian/multitail/usr/share/doc/ && \
-		mv multitail-VERSION=* multitail
+		mv multitail-$(DEB_VERSION_UPSTREAM) multitail
 	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/LICENSE \
 	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL
